import { BaseElement } from '../base/index';
/**
 * Describes a BPMN SequenceFlow element, which is used to connect
 * two FlowNodes together.
 */
export declare class SequenceFlow extends BaseElement {
    name: string;
    sourceRef: string;
    targetRef: string;
    conditionExpression?: IConditionExpression;
}
/**
 * Describes a conditional expression that can be placed on
 * a SequenceFlow.
 */
export interface IConditionExpression {
    type: string;
    expression: string;
}
